package com.community.pocket.entity.po;

import com.community.pocket.util.TableName;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

//登陆成功记录的令牌信息
@Document(TableName.managerToken)
public class ManagerToken {
    //令牌
    @Id
    private String token;
    //创建时间
    private Long createTime;
    //    有效时间
    private Long useTime;
    // 管理员名
    private String managerName;

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Long getUseTime() {
        return useTime;
    }

    public void setUseTime(Long useTime) {
        this.useTime = useTime;
    }

    public String getManagerName() {
        return managerName;
    }

    public void setManagerName(String managerName) {
        this.managerName = managerName;
    }
}
