package com.community.pocket.entity.po;

import com.community.pocket.entity.vo.web.VisitorStatus;
import com.community.pocket.util.TableName;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * 访客预约
 */
@Document(TableName.visitor)
public class Visitor {
    //访客id
    private String id;
    //访客人
    private String username;
    //预约对象
    private String appointment;
    //预约日期
    private String chooseDate;
    //预约时间
    private String chooseTime;
    //拜访目的
    private String notes;
    //审核状态
    private VisitorStatus status;
    //审核管理员
    private String managerName;

    private Long time;

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getAppointment() {
        return appointment;
    }

    public void setAppointment(String appointment) {
        this.appointment = appointment;
    }

    public String getChooseTime() {
        return chooseTime;
    }

    public void setChooseTime(String chooseTime) {
        this.chooseTime = chooseTime;
    }

    public String getNotes() {
        return notes;
    }

    public void setNotes(String notes) {
        this.notes = notes;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Long getTime() {
        return time;
    }

    public void setTime(Long time) {
        this.time = time;
    }

    public String getChooseDate() {
        return chooseDate;
    }

    public void setChooseDate(String chooseDate) {
        this.chooseDate = chooseDate;
    }

    public VisitorStatus getStatus() {
        return status;
    }

    public void setStatus(VisitorStatus status) {
        this.status = status;
    }

    public String getManagerName() {
        return managerName;
    }

    public void setManagerName(String managerName) {
        this.managerName = managerName;
    }
}
