package com.community.pocket.entity.po.android;

import com.community.pocket.entity.po.CreditScore;
import com.community.pocket.util.TableName;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;

//用户信息
@Document(TableName.info)
public class MyInfo {
    //用户名
    @Id
    private String username;
    //密码
    private String password;
    //信用分
    private Integer creditScore;
    //头像
    private String headImg;
    //最近发帖数
    private Integer recentPosts;
    //最近访客数
    private Integer recentVisitors;
    //手机号
    private String mobie;
    //邮箱
    private String email;

    //信用分历史记录
    private List<CreditScore> scoreHistory;

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Integer getCreditScore() {
        return creditScore;
    }

    public void setCreditScore(Integer creditScore) {
        this.creditScore = creditScore;
    }

    public String getHeadImg() {
        return headImg;
    }

    public void setHeadImg(String headImg) {
        this.headImg = headImg;
    }

    public Integer getRecentPosts() {
        return recentPosts;
    }

    public void setRecentPosts(Integer recentPosts) {
        this.recentPosts = recentPosts;
    }

    public Integer getRecentVisitors() {
        return recentVisitors;
    }

    public void setRecentVisitors(Integer recentVisitors) {
        this.recentVisitors = recentVisitors;
    }

    public String getMobie() {
        return mobie;
    }

    public void setMobie(String mobie) {
        this.mobie = mobie;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public List<CreditScore> getScoreHistory() {
        return scoreHistory;
    }

    public void setScoreHistory(List<CreditScore> scoreHistory) {
        this.scoreHistory = scoreHistory;
    }
}
