package com.community.pocket.entity.vo.android;

import com.community.pocket.entity.po.Forum;
import com.community.pocket.entity.po.android.Active;
import com.community.pocket.entity.po.android.Complain;
import com.community.pocket.entity.po.android.MyInfo;
import com.community.pocket.entity.po.android.Score;

//帖子
public class ForumDto {
    //帖子
    private String id;
    //帖子标题
    private String title;
    //回复数
    private Integer reply;
    //帖子类型
    private Forum.ForumType forumType;
    //缩略内容
    private String content;
    //发帖人
    private String username;
    //发帖时间
    private Long time;
    //审核状态
    private Forum.ForumStatus status;

    //发帖人详情信息
    private MyInfo info;

    //悬赏信息
    private Active activeDto;
    //投诉信息
    private Complain complainDto;
    //结算信息
    private Score score;

    public Active getActiveDto() {
        return activeDto;
    }

    public void setActiveDto(Active activeDto) {
        this.activeDto = activeDto;
    }

    public Complain getComplainDto() {
        return complainDto;
    }

    public void setComplainDto(Complain complainDto) {
        this.complainDto = complainDto;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Integer getReply() {
        return reply;
    }

    public void setReply(Integer reply) {
        this.reply = reply;
    }

    public Forum.ForumType getForumType() {
        return forumType;
    }

    public void setForumType(Forum.ForumType forumType) {
        this.forumType = forumType;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public Long getTime() {
        return time;
    }

    public void setTime(Long time) {
        this.time = time;
    }

    public MyInfo getInfo() {
        return info;
    }

    public void setInfo(MyInfo info) {
        this.info = info;
    }

    public Forum.ForumStatus getStatus() {
        return status;
    }

    public void setStatus(Forum.ForumStatus status) {
        this.status = status;
    }

    public Score getScore() {
        return score;
    }

    public void setScore(Score score) {
        this.score = score;
    }
}
