package com.community.pocket.entity.vo.android;

import com.community.pocket.entity.po.android.Token;
import com.community.pocket.entity.vo.Response;
import com.community.pocket.entity.vo.Result;

/**
 * 登陆响应
 */
public class LoginResponse extends Response<LoginResponse.Msg> {
    private Token token;

    public Token getToken() {
        return token;
    }

    public void setToken(Token token) {
        this.token = token;
    }

    public LoginResponse(Result result, Msg message, Object... args) {
        super(result, message, args);
    }

    public enum Msg implements CustomMessage{
         ok,
         fail
     }
}
