package com.community.pocket.entity.vo.android;

import com.community.pocket.entity.po.Visitor;
import com.community.pocket.entity.vo.Response;
import com.community.pocket.entity.vo.Result;

import java.util.List;

//我的预约信息
public class VisitorReservationResponse extends Response<VisitorReservationResponse.Msg> {
    private List<Visitor> visitorList;

    public VisitorReservationResponse(Result result, Msg message, Object... args) {
        super(result, message, args);
    }

    public List<Visitor> getVisitorList() {
        return visitorList;
    }

    public void setVisitorList(List<Visitor> visitorList) {
        this.visitorList = visitorList;
    }

    public enum Msg implements CustomMessage {
        ok,
        fail,
        token
    }
}
