package com.community.pocket.entity.vo.web;

import com.community.pocket.entity.po.ManagerToken;
import com.community.pocket.entity.vo.Response;
import com.community.pocket.entity.vo.Result;
import com.community.pocket.entity.vo.android.CustomMessage;

/**
 * 管理员响应
 */
public class LoginResponse extends Response<LoginResponse.Msg> {

    private ManagerToken managerToken;

    public ManagerToken getManagerToken() {
        return managerToken;
    }

    public void setManagerToken(ManagerToken managerToken) {
        this.managerToken = managerToken;
    }

    public LoginResponse(Result result, Msg message, Object... args) {
        super(result, message, args);
    }

    public enum Msg implements CustomMessage {
        //管理员不能为空
        manager,
        //密码不能为空
        password,
        //账号或密码错误
        fail,
        //登陆成功
        ok
    }
}
