package com.community.pocket.entity.vo.web;

import com.community.pocket.entity.vo.Response;
import com.community.pocket.entity.vo.Result;
import com.community.pocket.entity.vo.android.CustomMessage;

/**
 * 注销响应
 */
public class LogoutResponse extends Response<LogoutResponse.Msg> {

    public LogoutResponse(Result result, Msg message, Object... args) {
        super(result, message, args);
    }

    public enum Msg implements CustomMessage {
        //注销成功
        ok,
        //注销失败
        fail
    }
}
