package com.community.pocket.entity.vo.web;

import com.community.pocket.entity.vo.Response;
import com.community.pocket.entity.vo.Result;
import com.community.pocket.entity.vo.android.CustomMessage;

public class RegisterResponse extends Response<RegisterResponse.Msg> {
    public RegisterResponse(Result result, Msg message, Object... args) {
        super(result, message, args);
    }

    public enum Msg implements CustomMessage {
        //管理员不能为空
        manager,
        //密码不能为空
        password,
        //确认密码不能为空
        confirmPassword,
        //两次密码输入不一致
        passwordNotMatch,
        //手机号不能为空
        mobie,
        //邮箱不能为空
        email,
        //用户已存在
        username,
        //注册成功
        ok
    }
}
