package com.community.pocket.entity.vo.web;

import com.community.pocket.entity.po.android.MyInfo;
import com.community.pocket.entity.vo.Page;
import com.community.pocket.entity.vo.Response;
import com.community.pocket.entity.vo.Result;
import com.community.pocket.entity.vo.android.CustomMessage;

public class UserResponse extends Response<UserResponse.Msg> {

    private Page<MyInfo> myInfos;

    public UserResponse(Result result, Msg message, Object... args) {
        super(result, message, args);
    }

    public Page<MyInfo> getMyInfos() {
        return myInfos;
    }

    public void setMyInfos(Page<MyInfo> myInfos) {
        this.myInfos = myInfos;
    }

    public enum Msg implements CustomMessage {
        //查询成功
        ok,
        //查询失败
        fail,
        //修改成功
        edit_ok,
        //修改失败
        edit_fail
    }
}
