package com.community.pocket.entity.vo.web;

import com.community.pocket.entity.po.Visitor;
import com.community.pocket.entity.vo.Page;
import com.community.pocket.entity.vo.Response;
import com.community.pocket.entity.vo.Result;
import com.community.pocket.entity.vo.android.CustomMessage;

public class VisitorResponse extends Response<VisitorResponse.Msg> {
    private Page<Visitor> visitorList;

    public VisitorResponse(Result result, Msg message, Object... args) {
        super(result, message, args);
    }

    public Page<Visitor> getVisitorList() {
        return visitorList;
    }

    public void setVisitorList(Page<Visitor> visitorList) {
        this.visitorList = visitorList;
    }

    public enum Msg implements CustomMessage {
        ok,
        fail,
        check_ok,
        check_fail
    }
}
