package com.community.pocket.repository;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.data.mongodb.core.MongoTemplate;

public abstract class BaseDao<T> {


    @Autowired
    protected MongoTemplate mongoTemplate;

    @Value("${forum.page-size}")
    protected Integer pageSize;

    //增加
    public abstract T save(T t);

    public abstract Class<T> entityClass();
}
