package com.community.pocket.repository;

import com.community.pocket.entity.po.CreditScore;
import org.springframework.stereotype.Repository;

/**
 * 信用分
 */
@Repository
public class CreditScoreDao extends BaseDao<CreditScore> {

    @Override
    public CreditScore save(CreditScore creditScore) {
        return mongoTemplate.save(creditScore);
    }

    @Override
    public Class<CreditScore> entityClass() {
        return CreditScore.class;
    }
}
