package com.community.pocket.entity.po;

import com.community.pocket.util.TableName;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * 邮箱验证码
 */
@Document(TableName.emailCode)
public class EmailCode {
    //发送邮箱
    private String emailAddress;
    //验证码
    private String code;
    //发送时间
    private final Long sendTime = System.currentTimeMillis();
    //有效时间
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public void setEmailAddress(String emailAddress) {
        this.emailAddress = emailAddress;
    }

    public String getEmailAddress() {
        return emailAddress;
    }

    public Long getSendTime() {
        return sendTime;
    }
}
