package com.community.pocket.entity.po.android;

import com.community.pocket.util.TableName;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * 垃圾分类信息
 */
@Document(TableName.garbage)
public class Garbage {
    //垃圾中文名
    @Id
    private String name;
    //分类信息
    private Integer category;
    //垃圾英文名
    private String englishName;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getCategory() {
        return category;
    }

    public void setCategory(Integer category) {
        this.category = category;
    }

    public String getEnglishName() {
        return englishName;
    }

    public void setEnglishName(String englishName) {
        this.englishName = englishName;
    }
}
