package com.community.pocket.entity.po.android;

import com.community.pocket.util.TableName;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;

/**
 * 预约人信息
 */
@Document(TableName.visitorPeople)
public class VisitorPeople {
    @Id
    //预约人
    private String username;
    //可预约时间
    private List<String> time;

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public List<String> getTime() {
        return time;
    }

    public void setTime(List<String> time) {
        this.time = time;
    }
}
