package com.community.pocket.entity.vo;

import com.community.pocket.entity.vo.android.CustomMessage;
import com.community.pocket.entity.vo.android.ForumDto;

/**
 * 最新帖子响应
 */
public class ForumNewResponse extends Response<ForumNewResponse.Msg> {

    private Page<ForumDto> forumList;

    public Page<ForumDto> getForumList() {
        return forumList;
    }

    public void setForumList(Page<ForumDto> forumList) {
        this.forumList = forumList;
    }

    public ForumNewResponse(Result result, Msg message, Object... args) {
        super(result, message, args);
    }

    public enum Msg implements CustomMessage {
        ok,
        fail
    }
}
