package com.community.pocket.entity.vo;

import com.community.pocket.entity.vo.android.CustomMessage;

import java.util.List;

/**
 * 公告响应体
 */
public class ForumNoticeResponse extends Response<ForumNoticeResponse.Msg> {

    private List<NoticeVo> noticeList;

    public List<NoticeVo> getNoticeList() {
        return noticeList;
    }

    public void setNoticeList(List<NoticeVo> noticeList) {
        this.noticeList = noticeList;
    }

    public ForumNoticeResponse(Result result, Msg message, Object... args) {
        super(result, message, args);
    }

    public enum Msg implements CustomMessage {
        //获取成功
        ok,
        //获取失败
        fail,
        //删除成功
        delete_ok,
        //删除失败
        delete_fail,
        //添加成功
        add_ok,
        //添加失败
        add_fail
    }
}
