package com.community.pocket.entity.vo.android;

import com.community.pocket.entity.vo.Response;
import com.community.pocket.entity.vo.Result;

import java.util.List;

public class ForumDataResponse extends Response<ForumDataResponse.Msg> {
    private List<ForumContentVo> forumContentList;

    private ForumDto forum;

    public ForumDataResponse(Result result, Msg message, Object... args) {
        super(result, message, args);
    }

    public List<ForumContentVo> getForumContentList() {
        return forumContentList;
    }

    public void setForumContentList(List<ForumContentVo> forumContentList) {
        this.forumContentList = forumContentList;
    }

    public ForumDto getForum() {
        return forum;
    }

    public void setForum(ForumDto forum) {
        this.forum = forum;
    }

    public enum Msg implements CustomMessage {
        ok,
        fail,
        reply_ok,
        reply_fail,
        token
    }
}
