package com.community.pocket.entity.vo.android;

import com.community.pocket.entity.vo.Page;
import com.community.pocket.entity.vo.Response;
import com.community.pocket.entity.vo.Result;

/**
 * 我的帖子响应结果
 */
public class ForumMyResponse extends Response<ForumMyResponse.Msg> {
    private Page<ForumDto> forumList;

    public ForumMyResponse(Result result, Msg message, Object... args) {
        super(result, message, args);
    }

    public Page<ForumDto> getForumList() {
        return forumList;
    }

    public void setForumList(Page<ForumDto> forumList) {
        this.forumList = forumList;
    }

    public enum Msg implements CustomMessage{
        ok,
        fail,
        token
    }
}
