package com.community.pocket.entity.vo.android;

import com.community.pocket.entity.po.android.Garbage;
import com.community.pocket.entity.vo.Response;
import com.community.pocket.entity.vo.Result;

import java.util.List;

/**
 * 垃圾分类信息
 */
public class GarbageSortingResponse extends Response<GarbageSortingResponse.Msg> {
    private List<Garbage> garbageSortings;

    public GarbageSortingResponse(Result result, Msg message, Object... args) {
        super(result, message, args);
    }

    public List<Garbage> getGarbageSortings() {
        return garbageSortings;
    }

    public void setGarbageSortings(List<Garbage> garbageSortings) {
        this.garbageSortings = garbageSortings;
    }

    public enum Msg implements CustomMessage {
        ok
    }
}
