package com.community.pocket.entity.vo.android;

import com.community.pocket.entity.po.android.GarbageWasteManage;
import com.community.pocket.entity.po.android.GarbageWastePrice;
import com.community.pocket.entity.vo.Response;
import com.community.pocket.entity.vo.Result;

import java.util.List;

/**
 * 废品返回信息
 */
public class GarbageWasteResponse extends Response<GarbageWasteResponse.Msg> {

    public GarbageWasteResponse(Result result, Msg message, Object... args) {
        super(result, message, args);
    }

    public enum Msg implements CustomMessage {
        ok
    }

    //默认价格信息
    private List<GarbageWastePrice> defaultList;

    //检索价格信息
    private List<GarbageWastePrice> searchList;

    //管理员信息
    private GarbageWasteManage garbageWasteManage;

    public List<GarbageWastePrice> getDefaultList() {
        return defaultList;
    }

    public void setDefaultList(List<GarbageWastePrice> defaultList) {
        this.defaultList = defaultList;
    }

    public List<GarbageWastePrice> getSearchList() {
        return searchList;
    }

    public void setSearchList(List<GarbageWastePrice> searchList) {
        this.searchList = searchList;
    }

    public GarbageWasteManage getGarbageWasteManage() {
        return garbageWasteManage;
    }

    public void setGarbageWasteManage(GarbageWasteManage garbageWasteManage) {
        this.garbageWasteManage = garbageWasteManage;
    }
}
