package com.community.pocket.entity.vo.android;

import com.community.pocket.entity.vo.Response;
import com.community.pocket.entity.vo.Result;

/**
 * 个人信息响应
 */
public class InfoResponse extends Response<InfoResponse.Msg> {
    private Info myInfo;

    public InfoResponse(Result result, Msg message, Object... args) {
        super(result, message, args);
    }

    public Info getMyInfo() {
        return myInfo;
    }

    public void setMyInfo(Info myInfo) {
        this.myInfo = myInfo;
    }

    public enum Msg implements CustomMessage{
        ok,
        fail,
        modify_pwd_ok,
        modify_pwd_fail,
        modify_oldpwd_fail,
        token
    }
}
