package com.community.pocket.entity.vo.android;

import com.community.pocket.entity.vo.Response;
import com.community.pocket.entity.vo.Result;

import java.util.List;

/**
 * 查询用户
 */
public class QueryUserResponse extends Response<QueryUserResponse.Msg> {
    private List<String> peopleList;

    public QueryUserResponse(Result result, Msg message, Object... args) {
        super(result, message, args);
    }

    public List<String> getPeopleList() {
        return peopleList;
    }

    public void setPeopleList(List<String> peopleList) {
        this.peopleList = peopleList;
    }

    public enum Msg implements CustomMessage {
        ok,
        fail,
        ok_empty
    }
}
