package com.community.pocket.entity.vo.android;

import com.community.pocket.entity.vo.Response;
import com.community.pocket.entity.vo.Result;

/**
 * 重置密码响应
 */
public class ResetPwdResponse extends Response<ResetPwdResponse.Msg> {

    public ResetPwdResponse(Result result, Msg message, Object... args) {
        super(result, message, args);
    }

    public enum Msg implements CustomMessage {
        step1_ok,
        step1_fail,
        step2_ok,
        step2_fail,
        step2_valid_ok,
        step2_valid_fail,
        step3_ok,
        step3_fail
    }
}
