package com.community.pocket.entity.vo.android;

import com.community.pocket.entity.po.android.VisitorPeople;
import com.community.pocket.entity.vo.Response;
import com.community.pocket.entity.vo.Result;

import java.util.List;

/**
 * 查询预约人返回结果
 */
public class VisitorPeopleResponse extends Response<VisitorPeopleResponse.Msg> {

    private List<VisitorPeople> visitorPeopleList;

    public VisitorPeopleResponse(Result result, Msg message, Object... args) {
        super(result, message, args);
    }

    public List<VisitorPeople> getVisitorPeopleList() {
        return visitorPeopleList;
    }

    public void setVisitorPeopleList(List<VisitorPeople> visitorPeopleList) {
        this.visitorPeopleList = visitorPeopleList;
    }

    public enum Msg implements CustomMessage {
        ok,
        fail,
        ok_empty
    }
}
