package com.community.pocket.entity.vo.web;

import com.community.pocket.entity.vo.EmailType;
import com.community.pocket.entity.vo.Response;
import com.community.pocket.entity.vo.Result;
import com.community.pocket.entity.vo.android.CustomMessage;

import java.util.List;

/**
 * 邮箱类型响应
 */
public class EmailTypeResponse extends Response<EmailTypeResponse.Msg> {
    private List<EmailType> emailTypeList;

    public EmailTypeResponse(Result result, Msg message, Object... args) {
        super(result, message, args);
    }

    public List<EmailType> getEmailTypeList() {
        return emailTypeList;
    }

    public void setEmailTypeList(List<EmailType> emailTypeList) {
        this.emailTypeList = emailTypeList;
    }

    public enum Msg implements CustomMessage {
        ok,
        fail
    }
}
