package com.community.pocket.entity.vo.web;

import com.community.pocket.entity.vo.Response;
import com.community.pocket.entity.vo.Result;
import com.community.pocket.entity.vo.android.CustomMessage;

/**
 * 重置密码响应
 */
public class ResetpwdResponse extends Response<CustomMessage> {

    public ResetpwdResponse(Result result, CustomMessage message, Object... args) {
        super(result, message, args);
    }

    public enum Msg implements CustomMessage {
        //校验成功
        check_ok,
        //账号或邮箱错误
        check_fail,
        //验证码发送成功，请查收验证码
        send_code_ok,
        //验证码发送失败，请重试或联系管理员
        send_code_fail,
        //校验成功
        valid_code_ok,
        //验证码不正确，请重新输入
        valid_code_fail,
        //重置密码成功
        resetpwd_ok,
        //重置密码失败
        resetpwd_fail
    }
}
