package com.community.pocket.util;

import org.springframework.data.mongodb.core.aggregation.LookupOperation;

public class LookupOperationUtil {
    //活动贴
    //关联帖子外键属性
    public static final String idKey = "_id";
    //定义管道操作
    private static final String activeKey = "activeDto";
    //关联
    public static final LookupOperation activeforumLookup = LookupOperation.newLookup().from(TableName.active).localField(idKey).foreignField(idKey).as(activeKey);
    //投诉贴
    //关联属性
    private static final String complainKey = "complainDto";
    //定义管道操作
    public static final LookupOperation complainforumLookup = LookupOperation.newLookup().from(TableName.complain).localField(idKey).foreignField(idKey).as(complainKey);
    //结算贴
    private static final String scoreKey = "score";
    //定义管道操作
    public static final LookupOperation scoreforumLookup = LookupOperation.newLookup().from(TableName.score).localField(idKey).foreignField(idKey).as(scoreKey);
    //关联属性
    private static final String infoKey = "info";
    //关联用户外键属性
    private static final String usernameKey = "username";
    //定义管道操作
    public static final LookupOperation infoLookup = LookupOperation.newLookup().from(TableName.info).localField(usernameKey).foreignField(idKey).as(infoKey);
}
